Skip to main content
PATCH
/
api
/
shell
/
{id}
/
timeout
Update shell timeout
curl --request PATCH \
  --url https://api.example.com/api/shell/{id}/timeout \
  --header 'Content-Type: application/json' \
  --data '{
  "timeout": 1
}'
import requests

url = "https://api.example.com/api/shell/{id}/timeout"

payload = { "timeout": 1 }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({timeout: 1})
};

fetch('https://api.example.com/api/shell/{id}/timeout', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "location": {
    "directory": "<string>",
    "project": {
      "id": "<string>",
      "directory": "<string>"
    },
    "workspaceID": "<string>"
  },
  "data": {
    "id": "<string>",
    "command": "<string>",
    "cwd": "<string>",
    "shell": "<string>",
    "file": "<string>",
    "metadata": {},
    "time": {
      "started": 123,
      "completed": 123
    },
    "pid": 1,
    "exit": 123
  }
}
{
  "_tag": "InvalidRequestError",
  "message": "<string>",
  "kind": "<string>",
  "field": "<string>"
}
{
  "_tag": "UnauthorizedError",
  "message": "<string>"
}
{
  "_tag": "ShellNotFoundError",
  "id": "<string>",
  "message": "<string>"
}

Path Parameters

id
string
required
Pattern: ^sh_

Query Parameters

location
object | null

Body

application/json
timeout
integer
required
Required range: x >= 0

Response

Success

location
object
required
data
object
required